org.apache.commons.math.analysis.solvers

## Class UnivariateRealSolverFactoryImpl

- java.lang.Object
- - org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactory
  - - org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl

-     public class UnivariateRealSolverFactoryImpl
      extends UnivariateRealSolverFactory

  A concrete `UnivariateRealSolverFactory`. This is the default solver factory used by commons-math.

  The default solver returned by this factory is a `BrentSolver`.

  Version:
    $Revision: 811685 $ $Date: 2009-09-05 19:36:48 +0200 (sam. 05 sept. 2009) $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnivariateRealSolverFactoryImpl()` Default constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `UnivariateRealSolver` | `newBisectionSolver()` Create a new `UnivariateRealSolver`.
    `UnivariateRealSolver` | `newBrentSolver()` Create a new `UnivariateRealSolver`.
    `UnivariateRealSolver` | `newDefaultSolver()` Create a new `UnivariateRealSolver`.
    `UnivariateRealSolver` | `newNewtonSolver()` Create a new `UnivariateRealSolver`.
    `UnivariateRealSolver` | `newSecantSolver()` Create a new `UnivariateRealSolver`.

    - ### Methods inherited from class org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactory

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnivariateRealSolverFactoryImpl

          public UnivariateRealSolverFactoryImpl()

      Default constructor.

  - ### Method Detail

    - #### newDefaultSolver

          public UnivariateRealSolver newDefaultSolver()

      Create a new `UnivariateRealSolver`. The actual solver returned is determined by the underlying factory.
      Specified by:
        `newDefaultSolver` in class `UnivariateRealSolverFactory`
      Returns:
        the new solver.

    - #### newBisectionSolver

          public UnivariateRealSolver newBisectionSolver()

      Create a new `UnivariateRealSolver`. The solver is an implementation of the bisection method.
      Specified by:
        `newBisectionSolver` in class `UnivariateRealSolverFactory`
      Returns:
        the new solver.

    - #### newBrentSolver

          public UnivariateRealSolver newBrentSolver()

      Create a new `UnivariateRealSolver`. The solver is an implementation of the Brent method.
      Specified by:
        `newBrentSolver` in class `UnivariateRealSolverFactory`
      Returns:
        the new solver.

    - #### newNewtonSolver

          public UnivariateRealSolver newNewtonSolver()

      Create a new `UnivariateRealSolver`. The solver is an implementation of Newton's Method.
      Specified by:
        `newNewtonSolver` in class `UnivariateRealSolverFactory`
      Returns:
        the new solver.

    - #### newSecantSolver

          public UnivariateRealSolver newSecantSolver()

      Create a new `UnivariateRealSolver`. The solver is an implementation of the secant method.
      Specified by:
        `newSecantSolver` in class `UnivariateRealSolverFactory`
      Returns:
        the new solver.

Copyright (c) 2003-2013 Apache Software Foundation